Bug 104299 - Options Panel wizard: race condition in the generated code
Options Panel wizard: race condition in the generated code
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Templates
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Andrei Badea
issues@apisupport
:
Depends on: 106989
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 17:47 UTC by Andrei Badea
Modified: 2007-07-17 11:18 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Badea 2007-05-18 17:47:45 UTC
The Javadoc of OptionsPanelController says applyChanged() can be called before
update(). It seems there is a race condition in the generated code which, in
this case, causes the options to be overwritten with the data in the empty,
uninitialized panel.
Comment 1 Jesse Glick 2007-05-19 02:25:57 UTC
If you know how to patch it, please go ahead and do so.
Comment 2 Andrei Badea 2007-06-26 15:37:35 UTC
Waiting for issue 106989 because I want to know OptionsPanelController's threading model first.
Comment 3 Andrei Badea 2007-07-17 11:18:53 UTC
Fixed by the fix of issue 106989.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo